Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps.capabilities
Class WMPSCapabilitiesDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
                  org.deegree.owscommon.OWSCommonCapabilitiesDocument
                      org.deegree.ogcwebservices.wmps.capabilities.WMPSCapabilitiesDocument

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WMPSConfigurationDocument

    public class WMPSCapabilitiesDocument

extends OWSCommonCapabilitiesDocument

Represents an XML capabilities document for an OGC WFS 1.1.0 compliant web service.

Version:
  2.0
Author:
  Anup Deshmukh
See Also:
  Serialized Form

Field Summary
`protected static URI` | `WMPSNS`

Fields inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`ALL_NAME, CONTENTS_NAME, OGCNS, OPERATIONS_METADATA_NAME, OWSNS, SERVICE_IDENTIFICATION_NAME, SERVICE_PROVIDER_NAME`

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`WMPSCapabilitiesDocument()`

Method Summary
`void` | `createEmptyDocument()` Creates a skeleton capabilities document that contains the mandatory elements only.
`protected DCPType` | `getDCP(Element element)` Creates a `DCPType` object from the passed `DCP` element.
`protected Attribution` | `parseAttribution(Element layerElem)` Parse Attribution
`protected AuthorityURL[]` | `parseAuthorityURLs(Element layerElem)` Parse AuthorityURL
`OGCCapabilities` | `parseCapabilities()` Creates a class representation of the document.
`protected ContactInfo` | `parseContactInfo()` Parse Contact Information
`protected DataURL[]` | `parseDataURL(Element layerElem)` Parse Data URL
`protected Dimension[]` | `parseDimensions(Element layerElem)` Parse Dimensions
`protected Extent[]` | `parseExtents(Element layerElem)` Parse Extents
`protected FeatureListURL[]` | `parseFeatureListURL(Element layerElem)` Parse FeatureListURL
`protected Identifier[]` | `parseIdentifiers(Element layerElem)` Parse Identifiers
`protected Envelope` | `parseLatLonBoundingBox(Element llBox)` Parse Lat Lon Bounding Box
`protected LayerBoundingBox[]` | `parseLayerBoundingBoxes(List<Node> nl)` Parse Layer Bounding Boxes
`protected Layer` | `parseLayers(Element layerElem, Layer parent)` returns the layers offered by the WMPS
`protected LegendURL[]` | `parseLegendURL(Node node)` Parse Legend URL
`protected MetadataURL[]` | `parseMetadataURLs(Element layerElem)` Parse MetadataURL
`protected Operation` | `parseOperation(Node node)` Creates an `Operation`-instance according to the contents of the DOM-subtree starting at the given `Node`.
`protected OperationsMetadata` | `parseOperationsMetadata()` returns the services capabilitiy read from the WMPS capabilities file
`protected ScaleHint` | `parseScaleHint(Element layerElem)` Parse Scale Hint
`protected ServiceIdentification` | `parseServiceIdentification()` returns the services indentification read from the WMPS capabilities service section
`protected ServiceProvider` | `parseServiceProvider()` returns WMPS contact informaion encapsulated within a `ServiceProvider` object
`protected Style[]` | `parseStyles(Element layerElem)` Parse Styles
`protected StyleSheetURL` | `parseStyleSheetURL(Node node)` Parse Style Sheet URL
`protected StyleURL` | `parseStyleURL(Node node)` Parse Style URL
`protected UserDefinedSymbolization` | `parseUserDefinedSymbolization()` Parse the UserDefinedSymbolization

Methods inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`getCodeType, getContraints, getDCPs, getKeywords, getKeywords, getOperation, getOWSDomainType, getServiceIdentification, getServiceProvider, getWGS84BoundingBoxType`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
`parseAddress, parseMetadataLink, parsePhone, parseUpdateSequence, parseVersion`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WMPSNS

    protected static final URI WMPSNS

Constructor Detail

### WMPSCapabilitiesDocument

    public WMPSCapabilitiesDocument()

Method Detail

### createEmptyDocument

    public void createEmptyDocument()
                             throws IOException,
                                    SAXException

  Creates a skeleton capabilities document that contains the mandatory elements only.

  Throws:
    `IOException`
    `SAXException`

### parseCapabilities

    public OGCCapabilities parseCapabilities()
                                      throws InvalidCapabilitiesException

  Creates a class representation of the document.

  Specified by:
    `parseCapabilities` in class `OGCCapabilitiesDocument`
  Returns:
    OGCCapabilities class representation of the configuration document
  Throws:
    `InvalidCapabilitiesException`

### parseUserDefinedSymbolization

    protected UserDefinedSymbolization parseUserDefinedSymbolization()
                                                              throws XMLParsingException

  Parse the UserDefinedSymbolization

  Returns:
    UserDefinedSymbolization
  Throws:
    `XMLParsingException`

### parseServiceIdentification

    protected ServiceIdentification parseServiceIdentification()
                                                        throws XMLParsingException

  returns the services indentification read from the WMPS capabilities service section

  Returns:
    ServiceIdentification
  Throws:
    `XMLParsingException`

### parseServiceProvider

    protected ServiceProvider parseServiceProvider()
                                            throws XMLParsingException

  returns WMPS contact informaion encapsulated within a `ServiceProvider` object

  Returns:
    ServiceProvider
  Throws:
    `XMLParsingException`

### parseContactInfo

    protected ContactInfo parseContactInfo()
                                    throws XMLParsingException

  Parse Contact Information

  Returns:
    ContactInfo
  Throws:
    `XMLParsingException`

### parseOperationsMetadata

    protected OperationsMetadata parseOperationsMetadata()
                                                  throws XMLParsingException

  returns the services capabilitiy read from the WMPS capabilities file

  Returns:
    OperationsMetadata
  Throws:
    `XMLParsingException`

### parseOperation

    protected Operation parseOperation(Node node)
                                throws XMLParsingException

  Creates an `Operation`-instance according to the contents of the DOM-subtree starting at the given `Node`.

  Notice: operation to be parsed must be operations in sense of WMPS (draft). The method will return an OWSCommon Operation which encapsulates parsed WMPS operation

  Parameters:
    `node` - the `Element` that describes an `Operation`
  Returns:
    the constructed `Operation`-instance
  Throws:
    `XMLParsingException` - if a syntactic or semantic error in the DOM-subtree is encountered

### getDCP

    protected DCPType getDCP(Element element)
                      throws XMLParsingException

  Creates a `DCPType` object from the passed `DCP` element.

  NOTE: Currently the `OnlineResources` included in the `DCPType` are just stored as simple `URLs` (not as `OnLineResource` instances)!

  NOTE: In an `OGCStandardCapabilitiesDocument` the `XLinks` (the `URLs`) are stored in separate elements (`OnlineResource`), in an `OGCCommonCapabilitiesDocument` they are the `Get`/`Post` elements themselves.``

  Overrides:
    `getDCP` in class `OWSCommonCapabilitiesDocument`
  Parameters:
    `element` -
  Returns:
    created `DCPType`
  Throws:
    `XMLParsingException`
  See Also:
    `OGCStandardCapabilities`

### parseLayers

    protected Layer parseLayers(Element layerElem,
                                Layer parent)
                         throws XMLParsingException,
                                UnknownCRSException

  returns the layers offered by the WMPS

  Parameters:
    `layerElem` -
    `parent` -
  Returns:
    Layer
  Throws:
    `XMLParsingException`
    `UnknownCRSException`

### parseDimensions

    protected Dimension[] parseDimensions(Element layerElem)
                                   throws XMLParsingException

  Parse Dimensions

  Parameters:
    `layerElem` -
  Returns:
    Dimension[]
  Throws:
    `XMLParsingException`

### parseExtents

    protected Extent[] parseExtents(Element layerElem)
                             throws XMLParsingException

  Parse Extents

  Parameters:
    `layerElem` -
  Returns:
    Extent[]
  Throws:
    `XMLParsingException`

### parseAttribution

    protected Attribution parseAttribution(Element layerElem)
                                    throws XMLParsingException

  Parse Attribution

  Parameters:
    `layerElem` -
  Returns:
    Attribution
  Throws:
    `XMLParsingException`

### parseAuthorityURLs

    protected AuthorityURL[] parseAuthorityURLs(Element layerElem)
                                         throws XMLParsingException

  Parse AuthorityURL

  Parameters:
    `layerElem` -
  Returns:
    AuthorityURL[]
  Throws:
    `XMLParsingException`

### parseMetadataURLs

    protected MetadataURL[] parseMetadataURLs(Element layerElem)
                                       throws XMLParsingException

  Parse MetadataURL

  Parameters:
    `layerElem` -
  Returns:
    MetadataURL[]
  Throws:
    `XMLParsingException`

### parseDataURL

    protected DataURL[] parseDataURL(Element layerElem)
                              throws XMLParsingException

  Parse Data URL

  Parameters:
    `layerElem` -
  Returns:
    DataURL[]
  Throws:
    `XMLParsingException`

### parseFeatureListURL

    protected FeatureListURL[] parseFeatureListURL(Element layerElem)
                                            throws XMLParsingException

  Parse FeatureListURL

  Parameters:
    `layerElem` -
  Returns:
    FeatureListURL[]
  Throws:
    `XMLParsingException`

### parseStyles

    protected Style[] parseStyles(Element layerElem)
                           throws XMLParsingException

  Parse Styles

  Parameters:
    `layerElem` -
  Returns:
    Style[]
  Throws:
    `XMLParsingException`

### parseLegendURL

    protected LegendURL[] parseLegendURL(Node node)
                                  throws XMLParsingException

  Parse Legend URL

  Parameters:
    `node` -
  Returns:
    LegendURL[]
  Throws:
    `XMLParsingException`

### parseStyleURL

    protected StyleURL parseStyleURL(Node node)
                              throws XMLParsingException

  Parse Style URL

  Parameters:
    `node` -
  Returns:
    StyleURL
  Throws:
    `XMLParsingException`

### parseStyleSheetURL

    protected StyleSheetURL parseStyleSheetURL(Node node)
                                        throws XMLParsingException

  Parse Style Sheet URL

  Parameters:
    `node` -
  Returns:
    StyleSheetURL
  Throws:
    `XMLParsingException`

### parseScaleHint

    protected ScaleHint parseScaleHint(Element layerElem)
                                throws XMLParsingException

  Parse Scale Hint

  Parameters:
    `layerElem` -
  Returns:
    ScaleHint
  Throws:
    `XMLParsingException`

### parseIdentifiers

    protected Identifier[] parseIdentifiers(Element layerElem)
                                     throws XMLParsingException

  Parse Identifiers

  Parameters:
    `layerElem` -
  Returns:
    Identifier[]
  Throws:
    `XMLParsingException`

### parseLayerBoundingBoxes

    protected LayerBoundingBox[] parseLayerBoundingBoxes(List<Node> nl)
                                                  throws XMLParsingException

  Parse Layer Bounding Boxes

  Parameters:
    `nl` -
  Returns:
    LayerBoundingBox[]
  Throws:
    `XMLParsingException`

### parseLatLonBoundingBox

    protected Envelope parseLatLonBoundingBox(Element llBox)
                                       throws XMLParsingException,
                                              UnknownCRSException

  Parse Lat Lon Bounding Box

  Parameters:
    `llBox` -
  Returns:
    Envelope
  Throws:
    `XMLParsingException`
    `UnknownCRSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org